angular.module('app').run(['$rootScope', '$state', '$stateParams', 
    function ($rootScope, $state, $stateParams) {
        $rootScope.$state = $state;
        $rootScope.$stateParams = $stateParams;
    }
]).config(['$stateProvider', '$urlRouterProvider',
    function($stateProvider, $urlRouterProvider){
        $urlRouterProvider.otherwise('/simple');
        $stateProvider.state('simple',{
            url:'/simple',
            templateUrl:'templates/simple.html'
        })
        .state('details',{
            url:'/details',
            templateUrl:'templates/details.html'
        })
        .state('simple-enterprise',{
            url:'/simple-enterprise',
            templateUrl:'templates/simple-enterprise.html'
        })
        .state('details-enterprise',{
            url:'/details-enterprise',
            templateUrl:'templates/details-enterprise.html'
        });
    }
])